Debian Bug report logs - #470188
RFH: milter-greylist -- GreyList milter for sendmail

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: cord@debian.org

Date: Sun, 9 Mar 2008 20:18:10 UTC

Severity: normal

Fixed in version milter-greylist/4.1.7-1

Done: Paul Martin <pm@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#470188; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Cord Beermann <cord@cord.de>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cord Beermann <cord@cord.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFH: milter-greylist -- GreyList milter for sendmail
Date: Sun, 09 Mar 2008 21:14:58 +0100
Package: wnpp
Severity: normal

I request assistance with maintaining the milter-greylist package.

The package description is:
 milter-greylist is a stand-alone milter written in C that implements the
 greylist filtering method, as proposed by Evan Harris.
 .
 Grey listing works by assuming that unlike legitimate MTA, spam engines will
 not retry sending their junk mail on a temporary error. The filter will
 always temporarily reject mail on a first attempt, and to accept it after
 some time has elapsed.
 .
 If spammers ever try to resend rejected messages, we can assume they will not
 stay idle between the two sends (if they do, the spam problem would just be
 solved). Odds are good that the spammer will send a mail to an honey pot
 address and get blacklisted in several real-time distributed black list
 before the second attempt.




Changed Bug submitter from Cord Beermann <cord@cord.de> to Cord Beermann <cord@cord.de>. Request was from Cord Beermann <cord@cord.de> to control@bugs.debian.org. (Sun, 09 Mar 2008 20:51:07 GMT) Full text and rfc822 format available.

Changed Bug submitter from Cord Beermann <cord@cord.de> to cord@debian.org. Request was from Cord Beermann <cord@cord.de> to control@bugs.debian.org. (Mon, 10 Mar 2008 11:09:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#470188; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Michael Mende <debian@menole.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #14 received at 470188@bugs.debian.org (full text, mbox):

From: Michael Mende <debian@menole.net>
To: 470188@bugs.debian.org
Subject: Re: RFH: milter-greylist -- GreyList milter for sendmail
Date: Mon, 10 Mar 2008 14:07:15 +0100
[Message part 1 (text/plain, inline)]
Hello Cord,

I guess I can help.
Attached are some patches against Debian's current version fixing 4 of 5
bugs.

I have built milter-greylist successfully having these patches but were
not able to test the --dnsrbl stuff very hard. But thiis might happen
after setting up my own local RBL.

Are you also interested in getting help for upgrading to v4.0? - One
patch is for debian/watch letting uscan show newer versions than 3.0,
too :)

-- 
Kind Regards,
 Michael Mende

http://www.menole.net/
[debian_control.patch (text/x-diff, attachment)]
[debian_milter-greylist.default.patch (text/x-diff, attachment)]
[debian_rules.patch (text/x-diff, attachment)]
[debian_watch.patch (text/x-diff, attachment)]
[debian_changelog.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#470188; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Adam Katz <debian@khopis.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #19 received at 470188@bugs.debian.org (full text, mbox):

From: Adam Katz <debian@khopis.com>
To: Cord Beermann <cord@debian.org>
Cc: debian@menole.net, 470188@bugs.debian.org
Subject: Re: new milter-greylist package
Date: Wed, 23 Apr 2008 15:35:01 -0400
[Message part 1 (text/plain, inline)]
This has been sitting forgotten in my 'drafts' folder for a long while
now.  I might as well hit "send" and let you see it.  As you might
imagine, I don't have much by way of free time, but small tasks are
easy enough.  I keep meaning to look into the formalities of becoming
a Debian maintainer, but I never have the time.

Cord Beermann wrote:
> As you pointed me out that there is v4 available now, so the next
> Package-release should be also v4, so maybe some of the patches
> provided by Michael in #470188 don't apply anymore, or are not needed
> at all anymore?

Okay, I hadn't seen those patches.  Everything I did was based on the
3.0-3 source package.  Easily rectified:

I just integrated the control patch.

The milter-greylist.default patch, designed to address bugs #465260
and #460314, adds an extra bit of complication to the defaults file
that I think is better implemented in the init script, so I'll ignore
that patch.

The rules patch also overlaps things I've done.  I dislike the sed
call, preferring to adjust the init script itself.  I'll talk to
Emmanuel about pushing that into the upstream.

The watch patch dramatically changes things ... I'm content with
Michael's version.

The changelog will be interesting ... we've both independently
addressed all of the bugs, so credit should be shared.  Michael's
changelog entries mentioned altering the debian/copyright file, but I
don't see his diff for it.  My modifications there simply update the
copyright to the year 4.0 was released.

> As far as i can see, you both aren't Debian Developers (is anyone
> of you interested in becoming one?) so the way to get the updated
> package in, would be that you provide me the files for download
> somehow, and i check, sign and upload it. 
> 
> If you wish I add your name and address to the Package, so your work
> can be recognized.

I'd like that opportunity, yes (especially if it will give me an
@debian.org forwarding address).  The website is a bit questionable
about that process.

> There are some pages out there 
> 
> http://www.us.debian.org/doc/debian-policy/ch-controlfields.html#s-f-Uploaders
> http://wiki.debian.org/CollaborativeMaintenance
> http://mentors.debian.net/
> 
> that describe how multiple Maintainers for a Package could be handled.
> Maybe this is a way to go?

Michael noted he is not interested in co-maintaining.  I am.

-Adam
[milter-greylist_4.0-1.diff.gz (application/x-gzip, inline)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#470188; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Martin <pm@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #24 received at 470188@bugs.debian.org (full text, mbox):

From: Paul Martin <pm@debian.org>
To: 470188@bugs.debian.org
Subject: RFH: milter-greylist -- GreyList milter for sendmail
Date: Mon, 9 Jun 2008 16:46:56 +0100
[Message part 1 (text/plain, inline)]
I'm willing to become co-maintainer. I've used sendmail since 1990, and work
relies milter-greylist. I stumbled on this bug whilst looking to see if
anyone had raised a wishlist bug for 4.0.

-- 
Paul Martin <pm@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#470188; Package wnpp. (Sat, 22 Nov 2008 15:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cord Beermann <cord@debian.org>:
Extra info received and filed, but not forwarded. (Sat, 22 Nov 2008 15:42:02 GMT) Full text and rfc822 format available.

Message #29 received at 470188-quiet@bugs.debian.org (full text, mbox):

From: Cord Beermann <cord@debian.org>
To: pm@debian.org
Cc: 470188-quiet@bugs.debian.org
Subject: Regarding Debian Bug #470188
Date: Sat, 22 Nov 2008 16:35:03 +0100
Hi.

I'm not sure if i respond to you, but ... go ahead.

If you like you also can takeover the whole package...

I simply don't have the time to do the things i should do here.

Cord

-- 
BOFH excuse #15:

temporary routing anomaly




Reply sent to Paul Martin <pm@debian.org>:
You have taken responsibility. (Sun, 23 Nov 2008 19:27:14 GMT) Full text and rfc822 format available.

Notification sent to cord@debian.org:
Bug acknowledged by developer. (Sun, 23 Nov 2008 19:27:15 GMT) Full text and rfc822 format available.

Message #34 received at 470188-close@bugs.debian.org (full text, mbox):

From: Paul Martin <pm@debian.org>
To: 470188-close@bugs.debian.org
Subject: Bug#470188: fixed in milter-greylist 4.1.7-1
Date: Sun, 23 Nov 2008 19:17:05 +0000
Source: milter-greylist
Source-Version: 4.1.7-1

We believe that the bug you reported is fixed in the latest version of
milter-greylist, which is due to be installed in the Debian FTP archive:

milter-greylist_4.1.7-1.diff.gz
  to pool/main/m/milter-greylist/milter-greylist_4.1.7-1.diff.gz
milter-greylist_4.1.7-1.dsc
  to pool/main/m/milter-greylist/milter-greylist_4.1.7-1.dsc
milter-greylist_4.1.7-1_i386.deb
  to pool/main/m/milter-greylist/milter-greylist_4.1.7-1_i386.deb
milter-greylist_4.1.7.orig.tar.gz
  to pool/main/m/milter-greylist/milter-greylist_4.1.7.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 470188@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Paul Martin <pm@debian.org> (supplier of updated milter-greylist package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 23 Nov 2008 18:59:55 +0000
Source: milter-greylist
Binary: milter-greylist
Architecture: source i386
Version: 4.1.7-1
Distribution: experimental
Urgency: low
Maintainer: Paul Martin <pm@debian.org>
Changed-By: Paul Martin <pm@debian.org>
Description: 
 milter-greylist - Greylist milter for sendmail
Closes: 445841 449557 460314 465260 470188 470195 495811
Changes: 
 milter-greylist (4.1.7-1) experimental; urgency=low
 .
   * New maintainer (Closes: #470188)
   * New upstream release
     + Changes SPF support (Closes: #445841)
     + DOPTIONS set in init script after reading defaults file
       (Closes: #495811, #465260)
     + init script understands reload (Closes: #470195)
   * Convert to cdbs and quilt.
   * Change configure call so that it doesn't build with rpath.
   * Fix /etc/default/milter-greylist for spelling mistake and wrong
     configuration file path. (Closes: #460314)
   * DNSRBL support enabled. (Closes: #449557)
   * Update debian/watch file.
Checksums-Sha1: 
 c60b77f35dcd8357d792bfaf30a5466f0996682d 1072 milter-greylist_4.1.7-1.dsc
 c7b7f368e7b48fd2e5d5aa441b7757275fbdc56d 203798 milter-greylist_4.1.7.orig.tar.gz
 8cf8d8edd05057ed03ca9fe2afa041397ed276f7 7444 milter-greylist_4.1.7-1.diff.gz
 d7b09f5c0b32fa561e42088c5aa2be5a59925b82 119124 milter-greylist_4.1.7-1_i386.deb
Checksums-Sha256: 
 19bff4cc353848da8c378e426116fe3f6c2b277b8053b723413db193dfad6613 1072 milter-greylist_4.1.7-1.dsc
 9946e03bfe842f0b3e82c5e2930ccfd7a56631f18053afb9cffc0b7718143dc7 203798 milter-greylist_4.1.7.orig.tar.gz
 370cd0e345ec659459c19d2a1edd7d02485afee4665486c96d61c9f69dfcd7bb 7444 milter-greylist_4.1.7-1.diff.gz
 076937c66ada06b8120536afc16e016471e43f1b44071a2e658e8333ec87046c 119124 milter-greylist_4.1.7-1_i386.deb
Files: 
 a002fae34168a1ad6657daeb605e60bb 1072 mail extra milter-greylist_4.1.7-1.dsc
 f766f4ad326275c1bc52a383173ae3b5 203798 mail extra milter-greylist_4.1.7.orig.tar.gz
 feeb12c0e5e9c4a6dd821b840a905fdf 7444 mail extra milter-greylist_4.1.7-1.diff.gz
 391292ba63c1da060b7a7009b02cba0f 119124 mail extra milter-greylist_4.1.7-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJKanv+gi+rt7UWRIRAmBiAJ9qYf6aIoOUh+f0RPgFx8d3ZZihrACfX7ho
WDym+qWJdFxzZKZ8K1CiSxQ=
=zK6q
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 22 Dec 2008 07:28:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 10:41:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.